TEXTUREENVMODE(3CgFX)

NAME
TextureEnvMode - 3D API texture env mode

USAGE
TextureEnvMode[i] = int(mode)

VALID ENUMERANTS
mode: Modulate, Decal, Blend, Replace, Add

DESCRIPTION
Set the texture environment mode. See the GL_TEXTURE_ENV_MODE description on the OpenGL glTexEnv manual page for details. See the D3DTSS_COLOROP texture stage state description for DirectX 9.

The standard reset callback sets the TextureEnvMode[i] state to int(0).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ColorOp, Texture1DEnable, Texture2DEnable, Texture3DEnable, TextureCubeMapEnable, TextureRectangleEnable, Texture1D, Texture2D, Texture3D, TextureCubeMap, TextureRectangle, TextureEnvColor, TextureFactor, TextureMatrix, TextureTransform, TextureTransformFlags, Texture, MagFilter, MaxMipLevel, MinFilter, MipFilter, MipMapLodBias